%bcond_with tests
%global pypi_name zipp

Summary:        Backport of pathlib-compatible object wrapper for zip files
Name:           python-%{pypi_name}
Version:        3.11.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/jaraco/zipp
Source0:        %{pypi_source}

BuildRequires:  python3-devel pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3dist(pytest) python3dist(jaraco-functools)
%endif

BuildArch:      noarch

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i "/import jaraco.itertools/d" tests/test_zipp.py
sed -i "/func_timeout/d" tests/test_zipp.py

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%pytest -k "not test_joinpath_constant_time"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Miaojun Dong <zoedong@tencent.com> - 3.11.0-1
- initial build
